Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585010 - 'Update List' button on listviews is confusing!
'Update List' button on listviews is confusing!
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space16
  Show dependency treegraph
 
Reported: 2010-04-22 17:59 EDT by Máirín Duffy
Modified: 2011-12-22 11:48 EST (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-web-1.6.15-1 spacewalk-java-1.6.43-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 11:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-04-22 17:59:49 EDT
Description of problem:
I know it's been a while, but I worked on Spacewalk/Satellite for a long time, and realized today talking to jsherrill and partha that I was totally confused by what the 'Update List' button in listviews means.

I had thought it meant - and granted it's been a while - 'take all the checkboxes i selected and send them to the ssm!'

no it's actually for users who do not have Javascript available to update the list as they check stuff off across pages. Whoops.

The button is meaningless to people who have Javascript, which I think is maybe 90%+ of users. However, it's crucial for those who don't have JS. Therefore, I'd like to propose we show the 'Update List' button *only* if we detect the browser cannot do JS.

Thanks for your consideration :)
Comment 1 Jan Pazdziora 2010-10-27 04:32:38 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 2 Jan Pazdziora 2010-11-19 11:04:05 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:32:46 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:36:55 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:50:46 EDT
Aligning under space16.
Comment 6 Jan Pazdziora 2011-08-19 11:16:07 EDT
Addressed in Spacewalk master, b0b175938014ee25b5ef5116431bf5917a9823d8.
Comment 7 Jan Pazdziora 2011-09-12 11:23:49 EDT
Amend to the previous commit, Spacewalk master c2d5291e1615a4cd73823aa0e1f3b7b93c8ff470.
Comment 8 Jan Pazdziora 2011-09-12 11:25:42 EDT
(In reply to comment #6)
> Addressed in Spacewalk master, b0b175938014ee25b5ef5116431bf5917a9823d8.

The commit in question was c49288a4746571d80d48e5c44c5200b1cca9b5ad -- the bob175... probably got recycled during rebase.
Comment 9 Milan Zázrivec 2011-12-22 11:48:31 EST
Spacewalk 1.6 has been released.

Note You need to log in before you can comment on or make changes to this bug.